Jump to content

Back to dayzgame.com
Photo

Bad version, server rejected connection?

Update

18 replies to this topic

#1 itsbao93

itsbao93

    On the Coast

  • Members
  • Pip
  • 6 posts

Posted 27 July 2012 - 11:03 PM

I am having trouble trying to log into the game after I have updated to the latest version of DayZ.

So I am getting the "Bad version, server rejected connection" every time I have tried to log in.

I have tried.

-Reinstalling the patch (Manually)
-Reinstalling the game
-Updated Arma 2
-Verified game cache with steam
Thanks for reading.

Edited by itsbao93, 28 July 2012 - 06:44 AM.

  • BulletEater gave their beans

#2 Pandaramic

Pandaramic

    On the Coast

  • Members
  • Pip
  • 4 posts

Posted 28 July 2012 - 12:22 AM

Have you found an answer yet?
I have the same problem and no patch is working. Plus the site is down.

#3 Rixen

Rixen

    Scavenger

  • Members
  • PipPip
  • 21 posts

Posted 28 July 2012 - 01:15 AM

I'd also like a fix for this.

I'm running the updated version and the server I'm attempting to join has the same version number in its title. :S

#4 esham

esham

    Survivor

  • Members
  • PipPipPipPipPip
  • 106 posts
  • LocationWest Coast

Posted 28 July 2012 - 03:51 AM

Try Arma 2 version 95417 and of course DayZ version 1.7.2.4

I was getting the same errors and this is what solved it for me.

Edited by esham, 28 July 2012 - 03:52 AM.


#5 Primeval

Primeval

    Helicopter Hunter

  • Members
  • PipPipPipPip
  • 91 posts
  • LocationCamp.

Posted 28 July 2012 - 06:33 AM

Any solution to this? I get this when I try to join the server with most players (and some others).

Posted Image

"Trust no one, and kill everyone. This is how you survive an apocalypse."

-DayZ Bandits


#6 Problem?

Problem?

    Survivor

  • Members
  • PipPipPipPipPip
  • 122 posts

Posted 28 July 2012 - 06:40 AM

Verify your game files (both Arma 2 and OA) in steam. Right click game in steam -> properties -> local files tab -> verify integrity of game cache.

If you have updated Arma 2 and OA on steam recently, start each of them atleast once. Go to menu and quit.

Install the Arma 2 beta patch: http://www.gamefront...Build_95417.zip

If you had 1.7.2.3 installed simply grab these files to update to 1.7.2.4.

http://uk1.dayz.nu/l...z_anim_v0.5.rar

http://uk1.dayz.nu/l...de_v1.7.2.4.rar

http://uk1.dayz.nu/l...dayz_v1.3.2.rar

Extract those files to C:\Program Files (x86)\Steam\steamapps\common\arma 2 operation arrowhead\@DayZ\Addons

Try if this works.
  • BulletEater and zombiefrog gave their beans

#7 slightlyalex

slightlyalex

    On the Coast

  • Members
  • Pip
  • 8 posts

Posted 28 July 2012 - 08:30 AM

Getting the same error, except the weird thing is that after doing all those things suggested when I go to launch the game it still says I am running beta 95248 and not 95417. I have installed it a few times and still comes up as the older version.
  • BulletEater gave their beans

#8 Wickedsnipz

Wickedsnipz

    On the Coast

  • Members
  • Pip
  • 3 posts

Posted 28 July 2012 - 10:07 AM

try to reinstall battleye. worked fo me.

#9 rockzor

rockzor

    On the Coast

  • Members
  • Pip
  • 1 posts

Posted 29 July 2012 - 03:54 AM

I have done everything possible to fix this after sixlauncher updated yesterday and nothing has worked. Reinstalling Battleye. getting the correct versions for the server i was playing on the day before. etc. All of my friends are still playing on our same server but I had to finally resort to uninstalling everything and starting from scratch.

#10 Rixen

Rixen

    Scavenger

  • Members
  • PipPip
  • 21 posts

Posted 29 July 2012 - 05:04 AM

*sigh* Still no way around this for me it seems.
I can connect to some servers but unfortunately can't connect to the server my friends are all playing on; their server doesn't appear on my list in either DayZ Commander or Six Launcher. If I add it manually into the server list just from launching OA it says Bad Version, server rejected connection.

So far I've:
Restarted my PC.
Exited Steam.
Run Steam as Administrator.
Verify Integrity of Game Cache for ArmA II and OA.
Launched ArmA II and OA separately via Steam.
Reinstalled Battleye.
Verified DayZ via the Six Launcher.

My friends are able to join the server; I asked them the version numbers for everything they've got (ArmA II, OA, and DayZ) and I match up with them on everything. I can think of literally no other fix I can perform on my end.

#11 slightlyalex

slightlyalex

    On the Coast

  • Members
  • Pip
  • 8 posts

Posted 29 July 2012 - 06:03 AM

When you get the message, what does the version say on the bottom right hand of the screen? Is it the same as the servers?

#12 ustolemygmrtag

ustolemygmrtag

    Scavenger

  • Members
  • PipPip
  • 24 posts

Posted 29 July 2012 - 03:16 PM

I am getting this on some servers, but not all. I am running the 1.7.2.4/95417 update. I have also updated Battleye. I have run both ArmA 2 and ArmA 2 OA. I have tried uninstalling and re-installing everything. I am now letting Steam Verify all files.
Posted Image

#13 ustolemygmrtag

ustolemygmrtag

    Scavenger

  • Members
  • PipPip
  • 24 posts

Posted 29 July 2012 - 03:29 PM

After verifying the game cache on both ArmA 2 and OA, it found 1 bad file in each. Also, Battleeye was not up to date as I thought on ArmA 2. I stopped using Six Updater, and I am not using DayZ Commander. I like it a lot better. I am now getting into most games. But there is the occasional server that wants to grip.

Edited by ustolemygmrtag, 29 July 2012 - 03:30 PM.

Posted Image

#14 BulletEater

BulletEater

    On the Coast

  • Members
  • Pip
  • 2 posts

Posted 30 July 2012 - 06:12 AM

I finally figured it out.

If you are getting this error, the first question is, do you guys run your game through Steam? If so, then this is the issue.

If you remember, setting up the game through Steam requires you to overwrite "Arma2OA.exe" in the Arma 2: Operation Arrowhead root folder with another "Arma2OA.exe" from your Expansion\beta folder. (If you use DayZ Commander, ticking "Replace original Arma2OA files with Beta so Steam works" in the settings will have the steps automatically done for you.) Because you've updated, the Arma2OA.exe in the root folder (the executable that Steam launches the game through) is outdated which is why when you try to join a server, the version number might be outdated even though Steam/Six Launcher/DayZ Commander/everything shows that you're on the latest Arma 2: Operation Arrowhead version. (At the time of this posting, most of our DayZ clients show version 95248 when it should be 95417.)

The fastest fix is to turn off the "Launch using Steam" option in your launcher (Six Launcher, DayZ Commander, or whatever).

If you still want to want to run the game through Steam, then you'll need to overwrite the main client in Arma 2: Operation Arrowhead root folder with the one in the Expansion\beta folder, just like the first time when you setup your launcher to run DayZ through Steam. Here's the default folder locations if you've forgotten:
Arma 2: Operation Arrowhead root folder
Where the old version client that should be overwritten is
C:\Program Files (x86)\Steam\steamapps\common\arma 2 operation arrowhead

Arma 2: Operation Arrowhead Expansion\beta folder
The latest version client is found here
C:\Program Files (x86)\Steam\steamapps\common\arma 2 operation arrowhead\Expansion\beta

Note that DayZ Commander makes it convenient for you by doing all of the file overwriting for you when you tick "Replace original Arma2OA files with Beta so Steam works" in the settings.

If you're not running the game through Steam and you're still getting this error, well, you probably genuinely have a different version of the game from the server. That either means the server is running an outdated version of the game, or you are. Check your Arma 2, Arma 2: Operation Arrowhead, and DayZ versions.

Edited by BulletEater, 30 July 2012 - 06:15 AM.

  • Criminal, eliasr and slightlyalex gave their beans

#15 slightlyalex

slightlyalex

    On the Coast

  • Members
  • Pip
  • 8 posts

Posted 30 July 2012 - 02:50 PM

Yep, that was the problem. I was using Commander and under settings had the option enabled to run through steam but not the 'Replace original Arma2OA files with Beta so Steam works'. After enabling that option, it all worked and could join any server with the correct beta and version.

#16 soadfan69

soadfan69

    On the Coast

  • Members
  • Pip
  • 1 posts

Posted 01 August 2012 - 05:11 AM

Verify your game files (both Arma 2 and OA) in steam. Right click game in steam -> properties -> local files tab -> verify integrity of game cache.

If you have updated Arma 2 and OA on steam recently, start each of them atleast once. Go to menu and quit.

Install the Arma 2 beta patch: http://www.gamefront...Build_95417.zip

If you had 1.7.2.3 installed simply grab these files to update to 1.7.2.4.

http://uk1.dayz.nu/l...z_anim_v0.5.rar

http://uk1.dayz.nu/l...de_v1.7.2.4.rar

http://uk1.dayz.nu/l...dayz_v1.3.2.rar

Extract those files to C:\Program Files (x86)\Steam\steamapps\common\arma 2 operation arrowhead\@DayZ\Addons

Try if this works.

hey man thanks a lot, i spent about 5 hours today on Google and Youtube trying to figure out what was wrong, i believe it was those six files in the three links that fixed it. so, i was wondering, where or how would i find the updated version of those files again when there is another update?

#17 Problem?

Problem?

    Survivor

  • Members
  • PipPipPipPipPip
  • 122 posts

Posted 01 August 2012 - 09:01 AM

hey man thanks a lot, i spent about 5 hours today on Google and Youtube trying to figure out what was wrong, i believe it was those six files in the three links that fixed it. so, i was wondering, where or how would i find the updated version of those files again when there is another update?


These are the latest versions of all Dayz files that you put in dayz folder. Whenever a new version comes out (like the the upcoming 1.7.2.5) you can check for the new versions on the the links. These are the same links hosted on the dayz website.

http://uk1.dayz.nu/latest/

http://us2.dayz.nu/latest/

Also if you ever get bad version error or even if you have installed latest beta patch but the game says it is older version, you need to copy the Arma2oa.exe from Expansion\beta folder to the Arma 2 OA folder.

Edited by Problem?, 01 August 2012 - 09:01 AM.


#18 Ratso

Ratso

    On the Coast

  • Members
  • Pip
  • 3 posts

Posted 05 August 2012 - 02:29 PM

Same problem here. I'm done with this game. More trying to play than actually playing. Nice idea but too many issues and I just don't have the time to be an alpha tester. Back to BF3!!
  • Shad0w_St3p gave their beans

#19 jkwizzle

jkwizzle

    On the Coast

  • Members
  • Pip
  • 2 posts

Posted 03 December 2012 - 03:52 PM

I love playing dayz and i also play a mission file called Takistan Life Revolution. But now whenever i try to join a TLR server a big window pops up saying i dont have files like: arma vehicles and stuff like that. I am not a big computer guy and i am very confused can someone please help me.

-jkwizzle21





Also tagged with one or more of these keywords: Update